<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "challan_new.php";
$maindb = "chalmain";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `mydt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `manualno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `timesheetno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `partyname` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `vessel` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND `ordby` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "8") {
            $cond = "AND `anchorname` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "9") {
            $cond = "AND `amount` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `mydt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `manualno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `timesheetno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `partyname` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `vessel` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND `ordby` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "8") {
            $cond = "AND `anchorname` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "9") {
            $cond = "AND `amount` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY `mydt`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `manualno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `timesheetno`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `partyname`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `vessel`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `ordby`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `anchorname`";
} else if ($_REQUEST["sortBy"] == "9") {
    $sortcond = " ORDER BY `amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}

mysqli_query($conn, "Create temporary table `sale` SELECT a.vouchno, date_format(a.vouchdt,'%d-%m-%Y') as mydt, a.amount,manualno,timesheetno,vessel, ordby,
                                                   a.party, b.name as partyname,c.name as anchorname FROM `$maindb` a
                                                    LEFT JOIN `port` c ON c.code=a.anchor 
                                                    LEFT JOIN `accmast` b ON b.accode=a.party ") or die(mysqli_error($conn));


$query = "SELECT * FROM `sale` WHERE vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['mydt'],
        'manualno' => $r['manualno'],
        'timesheetno' => $r['timesheetno'],
        'name' => $r['partyname'],
        'vessel' => $r['vessel'],
        'ordby' => $r['ordby'],
        'anchorname' => $r['anchorname'],
        'amount' => $r['amount'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
